﻿using System;
using Newtonsoft.Json;

namespace CollectionViewRowHeightTest
{
    public class FileEntry
    {
        [JsonProperty("display_name")]
        public string DisplayName { get; set; }

        [JsonProperty("modified")]
        public int Modified { get; set; }

        [JsonProperty("file_size")]
        public int FileSize { get; set; }

        [JsonProperty("file_size_clean")]
        public string FileSizeClean { get; set; }

        [JsonIgnore]
        public bool IsFileSizeVisible => !String.IsNullOrEmpty(FileSizeClean); 
    }
}
